html,
body {
    height: 100vh;
    width: 100vw;
    margin: 0;
    background: linear-gradient(to bottom right, #94d5e6, #f3c1ff);
}

ul,
li {
    padding: 0;
    margin: 0;
    list-style: none;
}

.top {
    position: absolute;
    top: 0;
    width: 100%;
}

.content {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.content .search-box {
    height: 130px;
    display: flex;
    transition: .5s;
}

.content .search-box .search {
    margin: auto;
    margin-bottom: 0;
    width: 50%;
    min-width: 340px;
    position: relative;
    border-radius: 23px;
    box-shadow: #0004 0 0 15px -5px;
    display: grid;
    grid-template-rows: 1fr;
}

.search input {
    padding: 15px;
    padding-left: 20px;
    border-radius: 23px 0 0 23px;
    border: none;
    width: calc(100% - 115px);
    font-size: 16px;
    height: 16px;
    transition: .5s;
}

.search input:focus {
    outline-color: #6d6fff66
}

.search-btn {
    position: absolute;
    right: 0;
    top: 0;
    padding: 15px 28px 15px 20px;
    text-align: left;
    height: 16px;
    line-height: 16px;
    border-radius: 0 23px 23px 0;
    background-color: #cddeff4a;
    cursor: pointer;
    transition: .5s;
}

.search-btn:hover {
    background-color: #0013422f;
    color: #fff;
}

.search-list {
    position: absolute;
    /* background: red; */
    width: 100%;
    padding: 2px;
    max-height: 350px;
    overflow-y: auto;
    border-radius: 10px;
    box-shadow: #0004 0 0 10px -3px;
    transition: .5s;
}

.search-list .search-item {
    cursor: pointer;
    background-color: #e3fcff;
    margin: 2px;
    border-radius: 10px;
    transition: .15s;
}

.search-item a {
    /* width: 100%; */
    display: block;
    padding: 8px 20px;
}

.search-list .search-item:hover {
    background-color: #d9fffa;
}

.search-list-enter-active,
.search-list-leave-active {
    transition: opacity 0.5s ease;
}

.search-list-enter-from,
.search-list-leave-to {
    opacity: 0;
}

.content-list {
    width: 70%;
    min-width: 350px;
    padding: 20px;
    box-sizing: border-box;
    margin: auto;
    box-shadow: #0004 0 0 15px -5px;
    border-radius: 10px;
    overflow-x: auto;
    transition: .3s;
    /* overflow-y: scroll; */
}
.list-box{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.not-scrolled {
    max-height: clamp(0px, 90vh, 700px);
}

.scrolled {
    max-height: 550px;
}

.foot {
    bottom: 0;
    width: 100%;
    height: 120px;
    background: #fff1;
    display: flex;
    position: relative;
    transition: .5s;
}



.icp {
    margin: auto;
}

.about {
    margin: auto;
    margin-right: 50px;
    margin-left: 0;
}

.list-card {
    display: grid;
    background: #fff2;
    padding: 10px;
    border: #6d6fff66 solid 2px;

}

.card-title {
    text-align: left;
    padding-left: 40px;
    font-size: 20px;
    line-height: 40px;
    font-weight: bold;
}

.card-body {
    overflow-y: auto;
    display: grid;
    gap: 10px;
    grid-auto-rows: 50px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    overflow: hidden;
}

.card-item {
    text-align: center;
    padding: 2px 0;
    margin: 4px 2px;
    background: #fff4;
    transition: .15s;
    border-radius: 4px;
    border: #6d6fff66 solid 2px;
    box-sizing: border-box;
}

.card-item:hover {
    background: #fff8;
}

.card-item a {
    width: 100%;
    display: inline-block;
    line-height: 32px;

}